function [ barcodes,cycle ] = plotBarcode( barcodes, nFiltrations, dim, marker, ...
    start,lineWidth,colors)
% Updated 03.19.18


% sort barcode
if length(barcodes)>2
    [~,ord] = sort(barcodes(:,1));
    barcodes = barcodes(ord,:);
end


for cycle = 1:size(barcodes,1)
    
    plot([barcodes(cycle,1) barcodes(cycle,2)],[cycle+start-1 cycle+start-1],'-',...
        'Marker',marker,'Color',colors(dim,:),...
        'MarkerFaceColor',colors(dim,:),'LineWidth',lineWidth,'MarkerSize',5)
    hold on
    
    
end

% ax1 = cycle+start+1;
% ax1 = 3000;
% axis([0 nFiltrations 0 ax1])
    
% cover y axis
plot([0 0],[0.001 cycle+3+start],'w','LineWidth',8)
box off
    set(gca,'LineWidth',1.7)
    
    ax = gca;
    ax.YTick = [];
    
end

